Bug 2955 - strace doesn't know O_DIRECTORY
Summary: strace doesn't know O_DIRECTORY
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: strace
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-21 19:01 UTC by weejock-rhbug
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 1999-05-26 23:15:59 UTC


Attachments (Terms of Use)

Description weejock-rhbug 1999-05-21 19:01:33 UTC
strace doesn't seem to know the new Linux-specific
O_DIRECTORY (or whatver it's called):
open("/usr/X11R6/lib", O_RDONLY|O_NONBLOCK|0x10000) = 3

Related to an earlier bug log where it didn't know poll,
too.  (Perhaps your build machine isn't very stable on 2.2?
:)

Matthew.

Comment 1 Jeff Johnson 1999-05-26 23:15:59 UTC
Fixed by upgrading to strace-3.99-1.

It's not the build machine, its strace that's been behind the times
:-)


Note You need to log in before you can comment on or make changes to this bug.